OGRE-Next: Ogre::VulkanAndroidSupport Class Reference

| OGRE-Next 3.0.0 Object-Oriented Graphics Rendering Engine

Loading...
Searching...
No Matches
Ogre::VulkanAndroidSupport Class Referencefinal

`#include <OgreVulkanAndroidSupport.h>`

Inheritance diagram for Ogre::VulkanAndroidSupport:
[legend]

## Public Member Functions
| VulkanAndroidSupport ()
void | addConfig (VulkanRenderSystem *renderSystem) override
| Add any special config values to the system.
virtual IdString | getInterfaceName () const override
virtual String | getInterfaceNameStr () const override
void | setConfigOption (const String &name, const String &value) override
Public Member Functions inherited from Ogre::VulkanSupport
| VulkanSupport ()
virtual | ~VulkanSupport ()
ConfigOptionMap & | getConfigOptions (VulkanRenderSystem *renderSystem)
virtual unsigned int | getDisplayMonitorCount () const
| Gets the number of display monitors.
uint32 | getSelectedDeviceIdx () const
bool | isSupported () const
void | setSupported ()
virtual String | validateConfigOptions ()

## Constructor & Destructor Documentation

## ◆ VulkanAndroidSupport()

Ogre::VulkanAndroidSupport::VulkanAndroidSupport | ( |  | ) |

## Member Function Documentation

## ◆ addConfig()

void Ogre::VulkanAndroidSupport::addConfig | ( | VulkanRenderSystem * | renderSystem | ) |
| overridevirtual

Add any special config values to the system.

Must have a "Full Screen" value that is a bool and a "Video Mode" value that is a string in the form of wxhxb

Reimplemented from Ogre::VulkanSupport.

## ◆ getInterfaceName()

virtual IdString Ogre::VulkanAndroidSupport::getInterfaceName | ( |  | ) | const
| overridevirtual

Reimplemented from Ogre::VulkanSupport.

## ◆ getInterfaceNameStr()

virtual String Ogre::VulkanAndroidSupport::getInterfaceNameStr | ( |  | ) | const
| overridevirtual

Reimplemented from Ogre::VulkanSupport.

## ◆ setConfigOption()

void Ogre::VulkanAndroidSupport::setConfigOption | ( | const String & | name,
|  | const String & | value )
| overridevirtual

Reimplemented from Ogre::VulkanSupport.

The documentation for this class was generated from the following file:

- OgreVulkanAndroidSupport.h